Subject: Re: [PATCH v2 3/3] iommu/arm-smmu-v3: Allow ATS to be always on

From: Jason Gunthorpe <[email-masked]>
Date: Tue, 24 Feb 2026 10:51:02 -0400

On Tue, Feb 24, 2026 at 12:06:15PM +0000, Jonathan Cameron wrote:

> In my head at least, it would be nice if a driver had to explicitly opt in
> to this behavior. The presence of CXL.cache support for instance doesn't
> actually mean the driver is going to enable it.  However it is probably
> harmless so lets go with this as path of least resistance.

That same remark applies to ATS in general, we have no idea if the
device is going to use it when turned on or not..

Generally Linux has taken the approach of almost always enabling ATS
if the device offers the PCIe capability.

The purpose of this series is to close of the few "almost" cases so it
is always on.

Jason